if RequiredScript == "lib/units/beings/player/playercamera" then
	local play_shaker_original = PlayerCamera.play_shaker
	function PlayerCamera:play_shaker(effect, amplitude, ...)
		return play_shaker_original(self, effect, effect == "player_bullet_damage" and self._damage_bullet_shake_multiplier or amplitude, ...)
	end
elseif RequiredScript == "lib/units/beings/player/playerdamage" then
	Hooks:PreHook( PlayerDamage, "damage_bullet", "ssa_damage_bullet", function(self, attack_data)
		if not attack_data or not attack_data.damage then
			return
		end

		local shake_armor_multiplier = managers.player:body_armor_value("damage_shake") * (self:get_real_armor() > 0 and 1 or 2)
		self._unit:camera()._damage_bullet_shake_multiplier = math.clamp(attack_data.damage, 0, 10) * shake_armor_multiplier
	end )
end
